### Method

# Cogl Snippet set_pre

#### Declaration [src]

    void
    cogl_snippet_set_pre (
      CoglSnippet* snippet,
      const char* pre
    )

#### Description [src]

Sets a source string that will be inserted before the hook point in the generated shader for the pipeline that this snippet is attached to. Please see the documentation of each hook point in `CoglPipeline` for a description of how this string should be used.

This function should only be called before the snippet is attached to its first pipeline. After that the snippet should be considered immutable.

#### Parameters

`pre`

  Type: `const char*`

  The new source string for the pre section of this snippet.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.